Passer au contenu principal
GET
/
communication-preferences
/
v3
/
status
/
email
/
{emailAddress}
cURL
curl --request GET \
  --url https://api.hubapi.com/communication-preferences/v3/status/email/{emailAddress} \
  --header 'Authorization: Bearer <token>'
{
  "recipient": "<string>",
  "subscriptionStatuses": [
    {
      "description": "<string>",
      "id": "<string>",
      "name": "<string>",
      "brandId": 123,
      "legalBasisExplanation": "<string>",
      "preferenceGroupName": "<string>"
    }
  ]
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

emailAddress
string
requis

Réponse

successful operation

recipient
string
requis
subscriptionStatuses
object[]
requis
Dernière modification le 8 juin 2026